/ comp / gb.net / socket / peek
Socket.Peek (gb.net)
Syntax

    FUNCTION Peek ( ) AS String

This function allows you to receive data from Socket.

It must be used only when a connection is active (Status = Net.Connected) , otherwise an error will raise.

The string will not be erased from the socket buffer, so the next time you receive data, you will receive the same string plus new data arrived to the socket, if any.